apiVersion: v1
kind: Service
metadata:
  name: sonatype-nexus-service
  annotations:
    prometheus.io/scrape: "true"
    prometheus.io/path: "/"
    prometheus.io/port: "8081"
spec:
  type: ClusterIP
  selector:
    app: sonatype-nexus
  ports:
    - name: sonatype-nexus
      protocol: TCP
      port: 8081
      targetPort: 8081